summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Edinaldo P. Silva2015-09-18 05:23:23 +0200
committer Willy Sudiarto Raharjo2015-09-18 05:23:23 +0200
commita294e20aea2bbbb3c4c45b6054205436bdf93306 (patch)
treeb67145fe3b6492c1afa490fd029f326e967ed050 /multimedia
parent934bd7d8449f6d3ecefc678cfdeea82d8a9fd076 (diff)
downloadslackbuilds-a294e20aea2bbbb3c4c45b6054205436bdf93306.tar.gz
multimedia/ExMplayer: Updated for version 5.0.1.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/ExMplayer/ExMplayer.SlackBuild100
-rw-r--r--multimedia/ExMplayer/ExMplayer.info10
-rw-r--r--multimedia/ExMplayer/README31
-rw-r--r--multimedia/ExMplayer/doinst.sh13
-rw-r--r--multimedia/ExMplayer/slack-desc19
5 files changed, 173 insertions, 0 deletions
diff --git a/multimedia/ExMplayer/ExMplayer.SlackBuild b/multimedia/ExMplayer/ExMplayer.SlackBuild
new file mode 100644
index 0000000000..5c2bbdc6d1
--- /dev/null
+++ b/multimedia/ExMplayer/ExMplayer.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+#
+# Slackware build script for ExMPlayer.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ExMplayer
+VERSION=${VERSION:-5.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM="exmplayer"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/${SRCNAM}_$VERSION.tar.gz
+mv $PRGNAM $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+make
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+install -Dm755 src/exmplayer $PKG/usr/bin/exmplayer
+
+install -dm755 $PKG/usr/share/{applications,pixmaps}
+install -m644 exmplayer.desktop exmplayer_enqueue.desktop $PKG/usr/share/applications
+install -Dm644 debian/exmplayer.png $PKG/usr/share/pixmaps/exmplayer.png
+
+install -dm755 $PKG/etc/exmplayer
+install -m644 linux_build/{sc_default.xml,fmts} $PKG/etc/exmplayer
+
+# to receive installed ffmpeg link (not a internal copy).
+install -dm755 $PKG/usr/share/exmplayer
+
+(
+ln -s /usr/bin/ffmpeg $PKG/usr/share/exmplayer/ffmpeg
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a debian/copyright README.md Release_notes.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/ExMplayer/ExMplayer.info b/multimedia/ExMplayer/ExMplayer.info
new file mode 100644
index 0000000000..f8a079f1b6
--- /dev/null
+++ b/multimedia/ExMplayer/ExMplayer.info
@@ -0,0 +1,10 @@
+PRGNAM="ExMplayer"
+VERSION="5.0.1"
+HOMEPAGE="http://exmplayer.sourceforge.net/index.html"
+DOWNLOAD="https://launchpad.net/~exmplayer-dev/+archive/ubuntu/exmplayer/+files/exmplayer_5.0.1.tar.gz"
+MD5SUM="e432230bdaffde582c9d002d12eaa424"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ffmpeg"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/multimedia/ExMplayer/README b/multimedia/ExMplayer/README
new file mode 100644
index 0000000000..d7ce6eecc4
--- /dev/null
+++ b/multimedia/ExMplayer/README
@@ -0,0 +1,31 @@
+ExMplayer (Free media player for windows and linux)
+
+ExMplayer (Extended MPlayer) is a GUI front-end for MPlayer with flow view and tool like media cutter. It can play audio, video, dvd files (.vob), vcd, files(.mpg,.dat) etc and supports network streaming. It supports subtitles, subtitle decoding is done by using ass library.
+It can play any media formats without any external codecs.
+
+ExMplayer Play any media files, convert, extract, animate and more.
+
+Features:
+ * 3D video playback support
+ * Volume booster
+ * Seekview
+ * Audio extractor
+ * Audio converter
+ * Media cutter
+ * Movie Animator
+ * 10 band audio equalizer
+ * video equalizer
+ * Winamp dsp plugins support
+ * 8 Audio effect filters
+ * 17 Video effect filters
+ * Configurable keyboard shortcuts and mouse
+ * Play any files with out any codec,199 audio and 416 video built-in external codecs.So ExMplayer can play any media format.Supports network streaming and subtitles.
+ * Want to convert audio file ? here is it easy to use audio converter.ExMplayer audio converter supports more than 10 different audio file format conversions.
+ * Do you want to extract audio from video files? Hmm...here is it ExMplayer Audio Extractor,easy to use interface.High quality audio extraction without losing audio quality.
+ * Download video/audio from YouTube,facebook,dailymotion,metacafe and more
+ * Subtitle search enables to find movie subtitles very easily.Subtitle uploading also supported.Service provided by opensubtitles.org.
+ * Easy tool for extracting audio from your video files!
+ * Convert audio files to different formats (more than 10 popular formats)
+ * Cut your media file (Audio /video files ) using media cutter.Media quality preserved.
+
+Optional dependencie: youtube-dl
diff --git a/multimedia/ExMplayer/doinst.sh b/multimedia/ExMplayer/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/multimedia/ExMplayer/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/ExMplayer/slack-desc b/multimedia/ExMplayer/slack-desc
new file mode 100644
index 0000000000..f3439759b3
--- /dev/null
+++ b/multimedia/ExMplayer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ExMplayer: ExMplayer (Free media player for windows and linux)
+ExMplayer:
+ExMplayer: ExMplayer (Extended MPlayer) is a GUI front-end for MPlayer with flow
+ExMplayer: view and tool like media cutter. It can play audio, video, dvd files
+ExMplayer: (.vob), vcd, files(.mpg,.dat) etc and supports network streaming. It
+ExMplayer: supports subtitles, subtitle decoding is done by using ass library.
+ExMplayer: It can play any media formats without any external codecs.
+ExMplayer:
+ExMplayer: ExMplayer Play any media files, convert, extract, animate and more.
+ExMplayer:
+ExMplayer: Home page: http://exmplayer.sourceforge.net/index.html